Upload Organization Secure Vault Files To Folder

Uploads one or more files into a specific folder of the Organization Secure Vault. Upload the file contents to the File Service first, then reference each file here by its file_id and one_time_secret.

Token scopes: organizations:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

folder_idstringRequiredformat: "uuid"
Public UUID of the folder.

Request

This endpoint expects an object.
dataobjectRequired
The files to attach to the Organization Secure Vault.

Response

Files uploaded successfully.
dataobject
Result of the upload.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error